utl::meta::at_impl::at_< typelist< List... >, N > Struct Template Reference

`#include <typelist.h>`

## Public Types

using | head_ = at_head_< typelist< void * >::times< N > >
using | type = decltype(head_::select(static_cast< add_pointer< List > >(nullptr)...))

## Detailed Description

### template<typename... List, index_t N>
struct utl::meta::at_impl::at_< typelist< List... >, N >

Definition at line 229 of file typelist.h.

## Member Typedef Documentation

## head_

template<typename... List, index_t N>

using utl::meta::at_impl::at_< typelist< List... >, N >::head_ = at_head_<typelist<void*>::times<N> >

Definition at line 230 of file typelist.h.

## type

template<typename... List, index_t N>

using utl::meta::at_impl::at_< typelist< List... >, N >::type = decltype( head_::select(static_cast<add_pointer<List> >(nullptr)...) )

Definition at line 233 of file typelist.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/typelist.h